/*
 * COPYRIGHT:
 * 
 * TITLE TO THE CODE REMAIN WITH ZEB/INFORMATION.TECHNOLOGY. THE CODE IS COPYRIGHTED AND PROTECTED BY LAW. YOU WILL NOT
 * REMOVE ANY COPYRIGHT NOTICE FROM THE CODE. REASSEMBLING, RECOMPILATION, TRANSFER, DISTRIBUTION OR MODIFICATION OF
 * PART OR ALL OF THE CODE IN ANY FORM WITHOUT THE PRIOR WRITTEN PERMISSION OF ZEB/INFORMATION.TECHNOLOGY IS PROHIBITED.
 * 
 * created: 22.02.2012 - 09:10:17
 */
package de.zeb.edu.ejb3.server;


import java.io.Serializable;

import javax.ejb.Remote;
import javax.ejb.Stateful;

import org.joda.time.DateTimeZone;

import de.zeb.edu.ejb3.api.BrainBeanRemote;
import de.zeb.edu.ejb3.api.BrainTO;


/**
 * @author swoeste
 * 
 */
@Stateful
@Remote( BrainBeanRemote.class )
public class BrainBean implements BrainBeanRemote, Serializable {

    private String       thought;
    private double       thoughts;
    private DateTimeZone zone;
    private BrainTO      brainTO;

    /**
     * Constructor for ...
     */
    public BrainBean() {
        this.thought = "I'm a useless brain bean, dont overcharge me!";
    }

    /** {@inheritDoc} */
    public String getThought() {
        return this.thought;
    }

    /** {@inheritDoc} */
    public void setThought( final String thought ) {
        this.thought = thought;

    }

    /** {@inheritDoc} */
    public void produceError( final Class<?> thought ) {
        System.out.println( "If you see this, there was no error!" );
        System.out.println( "setThoughts " + thought );
    }

    /** {@inheritDoc} */
    public void setTimeZone( final DateTimeZone zone ) {
        this.zone = zone;
        System.out.println( "If you see this, there was no error!" );
        System.out.println( "setTimeZone " + zone );
    }

    /** {@inheritDoc} */
    public void setBrainTO( final BrainTO brainTO ) {
        this.brainTO = brainTO;
        System.out.println( "If you see this, there was no error!" );
        System.out.println( "setBrainTO " + brainTO );
    }

}
